Bug 535003 - (RHQ-1744) Clean up plugin descriptors for metric types
Clean up plugin descriptors for metric types
Status: ASSIGNED
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
1.2
All All
high Severity medium (vote)
: ---
: ---
Assigned To: Heiko W. Rupp
http://jira.rhq-project.org/browse/RH...
:
Depends On:
Blocks: RHQ-1167
  Show dependency treegraph
 
Reported: 2009-03-09 07:40 EDT by Heiko W. Rupp
Modified: 2010-10-25 05:11 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2009-03-09 07:40:00 EDT
Problem resources view shows metrics like RHQ-Server:Active Tx that are trendsup, but not marked as such in the Plugin-DD.
Other candidates are (probably) load counts in hibernate statistics.
Comment 1 Heiko W. Rupp 2009-03-12 10:22:18 EDT
rev 254 : JbossAS plugin : renamed trancaction count  and marked as trends up
Comment 2 Joseph Marques 2009-04-28 03:30:21 EDT
i think this may be a duplicate of RHQ-1599, if so all plugin descriptors that get included as part of the "enterprise" profile build have been fixed (in RHQ and Jopr)
Comment 3 Heiko W. Rupp 2009-04-28 04:05:00 EDT
10:03 <@pilhuhn> Btw.: I am not convinced that RHQ-1744 is solved; 1599 did 
                 change the description text. 1744 is talking about setting 
                 "measurementType" attributes to trendsup. Go to the OOB 
                 overview and check for large outliers. Many of them are/were 
                 trendsup metrics, that are/were not labeled as such

Comment 4 Heiko W. Rupp 2009-05-04 04:58:12 EDT
Examples:
Hibernate Stats: load count, insert count, update count, delete count
Agent VM -> Threading -> total started thread count
Comment 5 Red Hat Bugzilla 2009-11-10 15:45:45 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1744
Comment 6 Corey Welton 2010-08-20 11:32:41 EDT
This will need an additional release note upon implementation

Note You need to log in before you can comment on or make changes to this bug.